<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="generator" content="GitLab Pages">
    <title>Plain HTML site using GitLab Pages</title>
    <link rel="stylesheet" href="style.css">

  </head>
  <body>
    <div class="navbar">
      <a href="https://pages.gitlab.io/plain-html/">Plain HTML Example</a>
      <a href="https://gitlab.com/pages/plain-html/">Repository</a>
      <a href="https://gitlab.com/pages/">Other Examples</a>
    </div>

    <h1>Hello World!</h1>

    <p>
      This is a simple plain-HTML website.
    </p>

    <button id="theButton" onclick="buttonClicked()">Send a click event</button>
    <script src="https://unpkg.com/@gitlab/application-sdk-browser/dist/gl-sdk.min.js"></script>
    <script>

        window.glClient = window.glSDK.glClientSDK({
            appId: '14AeEsTqP1Iq92oiU6Dn4Q',
            host: 'https://collector.prod-1.gl-product-analytics.com',
       	    hasCookieConsent: true
	});

        window.glClient.page()

        function buttonClicked(event) {
           window.glClient.track('click', { elementId: 'theButton' })
        }
    </script>

  </body>
</html>

